<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseDynamicMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $type = null;
    


    protected $version = null;
    


    protected $url = null;
    


    protected $loopCount = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getType()
    {
        return isset($this->type) ? $this->type : 0;
    }

    public function hasType()
    {
        return isset($this->type);
    }

    public function clearType()
    {
        unset($this->type);
    }

    




    public function setType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\AIRichResponseDynamicMetadata\AIRichResponseDynamicMetadataType::class);
        $this->type = $var;

        return $this;
    }

    



    public function getVersion()
    {
        return isset($this->version) ? $this->version : 0;
    }

    public function hasVersion()
    {
        return isset($this->version);
    }

    public function clearVersion()
    {
        unset($this->version);
    }

    




    public function setVersion($var)
    {
        GPBUtil::checkUint64($var);
        $this->version = $var;

        return $this;
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getLoopCount()
    {
        return isset($this->loopCount) ? $this->loopCount : 0;
    }

    public function hasLoopCount()
    {
        return isset($this->loopCount);
    }

    public function clearLoopCount()
    {
        unset($this->loopCount);
    }

    




    public function setLoopCount($var)
    {
        GPBUtil::checkUint32($var);
        $this->loopCount = $var;

        return $this;
    }

}

